<template>
<div :style="'width:'+size+';height:'+size" class="imgClass flex-center">
  <img
    :src="'/httpImage/'+src"
    :onerror="noneImg"
    :height="height"
    :width="width"
    :alt="alt"
  />
</div>

</template>
<script>
export default {
  name: 'httpImg',
  props: {
    src: {
      default: '',
      type: String
    },
    alt: {
      default: '',
      type: String
    },
    height: {
      default: '100%',
      type: String
    },
    width: {
      default: 'auto',
      type: String
    },
    size: {
      default: 'auto',
      type: String
    },
    propNoneImg: {
      type: String,
      default: require('@/assets/img/noneImg.png')
    }
  },
  computed: {
    noneImg() {
      return 'this.src="' + this.propNoneImg + '"'
    }
  }
}
</script>
<style scoped>
.imgClass{
  background:#666;
}
</style>
